Retrieve Connection Certificate Details
Returns details of the certificate approved for the specified connection with specified certificate hash.
Request schema
Path parameters
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
The unique identifier of the certificate (Base64URL encoded hash of the certificate).
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/connections/4107c213907114059a5544ad8fa66c52/certificates/Y29ubmVjdG9yIGNlcnRpZmljYXRlIGhhc2g HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The unique identifier of the certificate (Base64URL encoded hash of the certificate).
The certificate name.
Hash of the certificate.
Type of the certificate.
SHA1 of certificate.
SHA256 of certificate.
The certificate decoded public key.
Date when certificate has been validated and approved.
The unique identified for the user who has approved the certificate.
{ "code": "Success", "message": "Connection certificate details retrieved successfully", "data": { "id": "Y29ubmVjdG9yIGNlcnRpZmljYXRlIGhhc2g", "name": "Certificate Name", "hash": "jhg5UI7fgrI6yy...", "type": "TLS", "sha1": "c8de1d13vtu435ilj435lj345796d8jh7hk8hgk", "sha256": "5vt6rt6jtr654eef94ec3f91122a623b389f4d331ff330026e43af21013vb45f", "public_key": "Sun RSA public key, 2048 bits params: null modulus: 7685655455... public exponent: 65537", "validated_date": "2023-08-20T10:15:20.677566Z", "validated_by": "user_id" } }